Skip to navigation

Get elastic templates

View as Markdown

Gets all the elastic templates for a user.

Note: This endpoint returns a list of clickwrapVersionSummaryResponse objects. Each version of each elastic template is returned as a separate entry in the list.

Required authentication scopes: click.manage.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

accountIdstringRequired

The external account number (int) or account ID GUID.

Query parameters

filterstringOptional
Names of columns by which to filter and values to match on.
from_datestringOptional
The earliest date to return clickwraps from.
namestringOptional
The name of the elastic templates to return.
ownerUserIdstringOptional
The user ID of the owner.
page_numberstringOptional

The results for this endpoint are paginated. Use this parameter to indicate which page to return. The minimumPagesRemaining value in the response indicates whether to continue querying for additional pages.

For example, if the page size is 40:

  • If this property is set to 0 (the default), the endpoint returns results 1-40.
  • If this property is set to 1, the endpoint returns results 41-80.

The default value is 0.

statusstringOptional

The status of the elastic templates to filter by. One of:

  • active: Active elastic templates only.
  • inactive: Inactive elastic templates only.
  • draft: Elastic templates in draft state, not yet activated.
to_datestringOptional
The latest date to return clickwraps from.

Response

Successful response.
clickwrapslist of objectsOptional

An array of clickwrapVersionSummaryResponse objects.

minimumPagesRemainingintegerOptional
Number of pages remaining in the response.
pageintegerOptional
The number of the current page.
pageSizeintegerOptional
The number of items per page.

Errors

400
Bad Request Error